No Python 2.0 (was Re: idiom for initial list of lists)

Dan Schmidt dfan at
Sat Sep 9 20:10:32 CEST 2000

aahz at (Aahz Maruch) writes:

| In article <wkem2uixcq.fsf at>,
| Dan Schmidt  <dfan at> wrote:
| >
| >Or in Python 2.0,
| >
| >  S = [[] for x in range(5)]
| I'm calling once again for everyone to please refrain from giving
| Python 2.0 answers to questions unless the questioner specifically
| mentions Python 2.0.  IMO, it unnecessarily complicates things,
| because most people asking questions need to use a shipping version
| of Python.

I started by giving a 1.5 solution (snipped), and clearly marked the
list comprehension idiom as only being available in 2.0.  Is your issue
with presenting 2.0 features as if they were available to everyone, or
with just mentioning 2.0 features at all?  I was very careful not to do
the former.

                 Dan Schmidt |
Honest Bob CD now available! |

More information about the Python-list mailing list